Package org.eclipse.emf.cdo.common.util

# Class CDOPackageNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.common.util.CDOPackageNotFoundException

All Implemented Interfaces:
  `Serializable`

public final class CDOPackageNotFoundException extends CDOException
A `CDOException` to indicate that an `EPackage` is not available in the current `EPackage.Registry`.

Since:
  4.4
Author:
  Esteban Dugueperoux
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDOPackageNotFoundException(String packageURI)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPackageURI()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOPackageNotFoundException

public CDOPackageNotFoundException(String packageURI)

## Method Details

### getPackageURI

public String getPackageURI()